## Command line shading controls

Tachyon supports a number of command line parameters which affect the quality and algorithms used to render scene files. The parameters select one of several quality levels, which implement various compromises between rendering speed and quality. Along with the overall shading quality controls, several specific options provide control over individual rendering algorithms within Tachyon.

- -fullshade: enables the highest quality rendering mode
- -mediumshade: disables computation of shadows, ambient occlusion
- -lowshade: minmalistic shading, using texture colors only
- -lowestshade: solid colors only
- -aasamples sample_count: command line override for the number of antialiasing supersamples computed for each pixel. A value of zero disables antialiasing. If this option is not used, the number of antialiasing samples is determined by the contents of the scen file.
- -rescale_lights scalefactor: rescale all light intensity values by the specified factor. (performed before other lighting overrides take effect)
- -auto_skylight aofactor: force the use of ambient occlusion lighting, automatically rescaling all other light sources to compensate for the additional illumination from the ambient occlusion lighting.
- -add_skylight aofactor: force the use of ambient occlusion lighting, existing lights must be rescaled manually using the -rescale_lights flag.
- -skylight_samples samplecount: number of samples to use for ambient occlusion lighting shadow tests.
- -shade_phong: use traditional phong shading for specular highlights.
- -shade_blinn: use Blinn's equation for specular highlights.
- -shade_blinn_fast: use a fast approximation to Blinn-style specular highlights.
- -shade_nullphong: entirely disables computation of specular highlights by registering a no-op function pointer.
- -trans_orig: use original Tachyon transparency mode.
- -trans_vmd: a special transparency mode designed for use with VMD. The resulting color is multiplied by opacity, giving results similar to what one would see with screen-door transparency in OpenGL.